<script>
	import Particles from 'svelte-particles';
	import { loadFull } from 'tsparticles';

	let particlesConfig = {
		particles: {
			color: {
				value: '#000'
			},
			move: {
				enable: true,
				direction: 'bottom',
				speed: 24,
				size: true,
				angle: {
					offset: 0,
					value: 2
				},
				outModes: {
					default: 'out'
				}
			},
			number: {
				value: 60
			},
			opacity: {
				value: 0.9
			},
			tilt: {
				enable: true,
				value: {
					min: 0,
					max: 360
				},
				animation: {
					enable: true,
					speed: { min: 10, max: 20 }
				}
			},
			rotate: {
				animation: {
					enable: true,
					speed: { min: 10, max: 20 }
				}
			},
			shape: {
				options: {
					image: {
						height: 20,
						src: 'https://cdn-icons-png.flaticon.com/512/11280/11280638.png',
						width: 20
					}
				},
				type: 'image'
			},
			size: {
				value: 12
			},

			zIndex: {
				value: {
					min: 0,
					max: 50
				},
				opacityRate: 0,
				velocityRate: 2
			}
		}
	};

	const onParticlesLoaded = (event) => {
		const particlesContainer = event.detail.particles;

		// you can use particlesContainer to call all the Container class
		// (from the core library) methods like play, pause, refresh, start, stop
	};

	const particlesInit = async (engine) => {
		// you can use main to customize the tsParticles instance adding presets or custom shapes
		// this loads the tsparticles package bundle, it's the easiest method for getting everything ready
		// starting from v2 you can add only the features you need reducing the bundle size
		//await loadFull(engine);
		await loadFull(engine);
	};
</script>

<div class="tw-fixed tw-z-[9999] tw-w-full tw-h-screen tw-inset-0">
	<Particles
		id="tsparticles"
		class="foo bar"
		style=""
		options={particlesConfig}
		on:particlesLoaded={onParticlesLoaded}
		{particlesInit}
	/>
</div>
